Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.annotations.utils
Class AnnotationUtils

    java.lang.Object
      org.apache.commons.digester3.annotations.utils.AnnotationUtils

    public class AnnotationUtils

extends Object

Simple utility class to introspect annotations.

Since:
  2.1

Method Summary
`static String` | `getAnnotationNamespaceURI(Annotation annotation)` Extract the `namespaceURI()` from annotation.
`static String` | `getAnnotationPattern(Annotation annotation)` Extract the `pattern()` from annotation.
`static Annotation[]` | `getAnnotationsArrayValue(Annotation annotation)` Extract the Annotations array `value()` from annotation if present, nul otherwise.
`static Object` | `getAnnotationValue(Annotation annotation)` Extract the `value()` from annotation.
`static boolean` | `getFireOnBegin(Annotation annotation)` Extract the `fireOnBegin()` from annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAnnotationValue

    public static Object getAnnotationValue(Annotation annotation)

  Extract the `value()` from annotation.

  Parameters:
    `annotation` - the annotation has to be introspected.
  Returns:
    the annotation `value()`.

### getAnnotationPattern

    public static String getAnnotationPattern(Annotation annotation)

  Extract the `pattern()` from annotation.

  Parameters:
    `annotation` - the annotation has to be introspected.
  Returns:
    the annotation `pattern()`.

### getAnnotationNamespaceURI

    public static String getAnnotationNamespaceURI(Annotation annotation)

  Extract the `namespaceURI()` from annotation.

  Parameters:
    `annotation` - The annotation has to be introspected
  Returns:
    The annotation `namespaceURI()`

### getFireOnBegin

    public static boolean getFireOnBegin(Annotation annotation)

  Extract the `fireOnBegin()` from annotation.

  Parameters:
    `annotation` - The annotation has to be introspected
  Returns:
    The annotation `fireOnBegin()`

### getAnnotationsArrayValue

    public static Annotation[] getAnnotationsArrayValue(Annotation annotation)

  Extract the Annotations array `value()` from annotation if present, nul otherwise.

  Parameters:
    `annotation` - the annotation has to be introspected.
  Returns:
    the annotation `value()` as Annotations array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.